
if( SERVER ) then
   
 	AddCSLuaFile( "shared.lua" ) 
 	SWEP.HoldType = "pistol";
 
 end 

if( CLIENT ) then

	
	SWEP.ViewModelFlip		= true	
	SWEP.CSMuzzleFlashes	= true
	
	SWEP.DrawCrosshair = false;

end
 
 SWEP.Base = "ts2_base";
   
 SWEP.Spawnable			= false 
 SWEP.AdminSpawnable		= false 
   
SWEP.Primary.Sound = Sound( "Weapon_AK47.Single" );

SWEP.WorldModel = "models/weapons/w_rif_ak47.mdl";
SWEP.ViewModel = "models/weapons/v_rif_ak47.mdl";

SWEP.PrintName = "AK-47";
SWEP.TS2Desc = "7.62mm full automatic";

 SWEP.Primary.Recoil			= .1
 SWEP.Primary.RecoilAdd			= .08;
 SWEP.Primary.RecoilMin = .1
 SWEP.Primary.RecoilMax = 3
 
 SWEP.Primary.ViewPunchMul = 2;
 SWEP.Primary.Damage			= 8
 SWEP.Primary.NumShots		= 1 
 
 SWEP.TS2HoldType = "RIFLE";

SWEP.Primary.DoorBreach = true;
SWEP.Primary.HighPowered = true;
SWEP.Primary.ClipSize = 30;
SWEP.Primary.DefaultClip = 30;
SWEP.Primary.Ammo = "smg1";
SWEP.Primary.Delay = .1;
SWEP.Primary.Automatic = true;
SWEP.Primary.SpreadCone = Vector( .02, .02, .02 );
 SWEP.Primary.ReloadDelay = 2.3;
 
 SWEP.Primary.IronSightPos = Vector( 6.1, 2.9, -2.0 );
 SWEP.Primary.IronSightAng = Vector( 0.0, 0.0, 0.0 );

SWEP.Primary.HolsteredPos = Vector( -0.8, -1.0, -10.0 );
SWEP.Primary.HolsteredAng = Vector( 0.0, -50.0, 0.0 );

 SWEP.ItemWidth = 3;
 SWEP.ItemHeight = 1;

SWEP.IconCamPos = Vector( 11, -163, 5 );
SWEP.IconLookAt = Vector( 11, 7, -1 );
SWEP.IconFOV = 7;

SWEP.Price = 1150

   